Subject: Re: pull request: wireless-next 2012-04-25

From: "John W. Linville" <[email-masked]>
Date: Thu, 26 Apr 2012 14:41:50 -0400

On Wed, Apr 25, 2012 at 04:39:26PM -0400, David Miller wrote:
> From: "John W. Linville" <[email-masked]>
> Date: Wed, 25 Apr 2012 15:14:19 -0400
> 
> > This is another batch of updates intended for 3.5...
>  ...
> > Please let me know if there are problems!
> 
> There are:
> 
> From 792545c7bc5d6b922d3778dc602e557d64c83551 Mon Sep 17 00:00:00 2001
> From: "Luis R. Rodriguez" <[email-masked]>
> Date: Mon, 23 Apr 2012 19:55:48 -0700
> Subject: [PATCH 88/88] libertas: include sched.h on firmware.c
> 
> Do not assume we have our subsystem including this for us,
> at least for older kernels this is not true. Lets just be
> explicit about this requirement for the usage of wake_up().
> 
> Signed-off-by: Luis R. Rodriguez <[email-masked]>
> Signed-off-by: John W. Linville <[email-masked]>
> 
> This is bogus, wake_up() is defined in linux/wait.h, the whole
> point of the linux/sched.h split up is so that linux/sched.h
> includes could be removed and replaced with actual dependencies.

This is completely my bad.  Anyway, Felix already added that include
in that file a few lines later in order to pick-up the definitions
for TASK_NORMAL and TASK_UNINTERRUPTIBLE.  I'll just drop Luis's patch.

> Also, please don't accept any patches from Luis that add those
> #undef pr_fmt things to the atheros drivers.
> 
> He tried to add it an ethernet driver, and I asked him to explain
> exactly why he's doing and that if it's appropriate then it's
> appropriate everywhere not just in a few specific drivers.  He failed
> to respond to me, and therefore failed to explain the situation and
> address my concerned.  And then I saw just today that he's submitting
> the same patch to wireless drivers.  That's not acceptable.
> 
> Thanks.

OK.  I think the compat-wireless guys have found a different solution
anyway.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html